import pandas as pd
import seaborn as sns
import matplotlib.pyplot as plt
import matplotlib.cm as cm
plt.rcParams['font.size'] = 10 # グラフの基本フォントサイズの設定

# csvファイルを読み込む
df = pd.read_csv('in_data/IQ.csv')

# x軸データ
x_name = 'Ich'
x_data = df[x_name]

# y軸データ
y_name = 'Qch'
y_data = df[y_name]


# ヒストグラム その1
fig = plt.figure()
ax = fig.add_subplot(111)

g = ax.hist2d(x_data, y_data, bins = 128, cmap = cm.jet)
ax.set_xlabel(x_name)
ax.set_ylabel(y_name)
fig.colorbar(g[3], ax = ax)
plt.show()

# ヒストグラム その2
#sns.jointplot(x = x_data, y = y_data, kind = 'hex', color = 'magenta')
#plt.xlabel(x_name)
#plt.ylabel(y_name)
#plt.grid()
#plt.show()
